# audio_to_text.py
from oled_display import OLEDDisplay

# Initialize OLED display
oled = OLEDDisplay()
import speech_recognition as sr

class AudioToText:
    def __init__(self):
        self.recognizer = sr.Recognizer()

    def listen(self, duration=3):
        with sr.Microphone() as source:
            print("Listening...")
            oled.show_message("Listening...")
            try:
                audio = self.recognizer.listen(source, timeout=duration, phrase_time_limit=duration)
                return self.recognizer.recognize_google(audio)
            except:
                return ""
